# Uses of Class
org.eclipse.birt.report.engine.api.ImageSize

Packages that use ImageSize
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.

## Uses of ImageSize in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return ImageSize
Modifier and Type
Method
Description
`ImageSize`
IImage.`getImageRawSize()`
`ImageSize`
CachedImage.`getImageSize()`
get the image size
`ImageSize`
IImage.`getImageSize()`
Methods in org.eclipse.birt.report.engine.api with parameters of type ImageSize
Modifier and Type
Method
Description
`void`
IImage.`setImageRawSize(ImageSize rawSize)`
`void`
CachedImage.`setImageSize(ImageSize size)`
set the image size

## Uses of ImageSize in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return ImageSize
Modifier and Type
Method
Description
`ImageSize`
IImageContent.`getImageCalculatedSize()`
Get the calculated image size
`ImageSize`
IImageContent.`getImageRawSize()`
Get the image raw size
Methods in org.eclipse.birt.report.engine.content with parameters of type ImageSize
Modifier and Type
Method
Description
`void`
IImageContent.`setImageCalculatedSize(ImageSize imageCalcSize)`
Set the calculated image size
`void`
IImageContent.`setImageRawSize(ImageSize imageRawSize)`
Set the image raw size